Skip to content
openlaunch
Esc
↑↓navigate↵open⌘Jpreview

Create legacy board enrollment

Legacy board-bound enrollment code is single use and expires after 10 minutes.

POST/v1/enrollments
Authorization
AuthorizationBearer token (Clerk owner session) · headerrequired

Owner identity required.

Request body
requiredapplication/json
kindstringrequired
min length 1 · max length 64 · matches ^[a-z][a-z0-9]*(?:[.-][a-z0-9]+)*$
Responses
201

Successful response

dataEnrollmentrequired
Show properties
tokenstringrequired
expiresInSecondsintegerrequired
expiresAtintegerrequired
400

Invalid request or validation failure

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
401

Missing or invalid credential

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
403

Insufficient access or grant

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
404

Resource not found

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
413

Request body exceeds the 16 KiB limit

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
429

Rate limit or workspace capacity limit

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
500

Internal error

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
503

Service or required integration is not configured

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://www.openlaunch.dev/v1/enrollments' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "kind": "string"
}'
Response
{
  "data": {
    "token": "string",
    "expiresInSeconds": 600,
    "expiresAt": 0
  }
}